Priority: Normal

Assignee:
Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18547

Description

Default layer styles as saved by QGIS are failing to restore after a backup:

pg_restore: [archiver (db)] Error from TOC entry 3479; 0 2188138 TABLE DATA layer_styles 

pg_restore: [archiver (db)] COPY failed for table "layer_styles": ERROR:  invalid XML content

DETAIL:  Entity: line 1: parser error : StartTag: invalid element name

<!DOCTYPE qgis PUBLIC 'http://mrcc.com/qgis.dtd' 'SYSTEM'>

 ^

CONTEXT:  COPY layer_styles, line 1, column styleqml: "<!DOCTYPE qgis PUBLIC 'http://mrcc.com/qgis.dtd' 'SYSTEM'>

<qgis version="2.2.0-Valmiera" minimumSca..."

History

#1 - 2014-06-02 02:21 AM - Gavin Fleming

you need to set the XML option to DOCUMENT and the restore will work:

http://lists.osgeo.org/pipermail/qgis-user/2014-April/026937.html

#2 - 2014-06-03 05:59 AM - Giovanni Manghi

- Category set to Documentation and Help

- Subject changed from default styles in postgresql do not restore to tip for the documentation: default styles in postgresql do not restore

Gavin Fleming wrote:

you need to set the XML option to DOCUMENT and the restore will work:

http://lists.osgeo.org/pipermail/qgis-user/2014-April/026937.html

making this a suggestion for inclusion in the docs

#3 - 2015-03-05 06:35 AM - Alexander Bruy

- Status changed from Open to Closed

Moved to GitHub issues, see https://github.com/qgis/QGIS-Documentation/issues/478

2024-03-13 1/2

http://lists.osgeo.org/pipermail/qgis-user/2014-April/026937.html
http://lists.osgeo.org/pipermail/qgis-user/2014-April/026937.html
https://github.com/qgis/QGIS-Documentation/issues/478


2024-03-13 2/2


